Name: openoffice-dictinstall
Version: 0.55
Release: alt1

Summary: A dictionary installer for OpenOffice.org
Summary (ru_RU.UTF-8): Программа для установки дополнительных словарей OpenOffice.org
License: GPL
Group: Office
Url: http://ooodi.sourceforge.net
Source0: ooodi-%version.tar.gz
Source1: ru.po
Source2: configure.patch
BuildRequires: XFree86-devel XFree86-libs glib-devel gtk+-devel libcurl-devel libpopt-devel libssl-devel
Requires: unzip

%description
The Dictionary Installer attempts to download additional spelling
and hyphenation dictionaries from http://dict.progbits.com and installs
them.

%description -l ru_RU.UTF-8
Программа для установки словарей OpenOffice.org может скачивать и подключать
дополнительные словари проверки правописания и расстановки переносов с сервера
http://dict.progbits.com.

%prep
%setup -q -n OOodi-%version
cp %SOURCE1 po
patch configure %SOURCE2

%build
%configure
%make_build
%find_lang OOodi

%install
%makeinstall
# Menu
%__mkdir -p %buildroot%_menudir
%__cat >%buildroot%_menudir/ooodi <<EOF
?package(%name): command="OOodi" needs="X11" \
section="Office" title="OpenOffice Dictionary Installer" \
longtitle="A dictionary manager for OpenOffice.org" icon=""
EOF

%post
%update_menus

%postun
%clean_menus

%files -f OOodi.lang
%_bindir/*
%_datadir/OOodi
%_menudir/ooodi
%doc README COPYING

%changelog
* Fri Nov 15 2002 Vyacheslav Dikonov <slava@altlinux.ru> 0.55-alt1
- ALTLinux build
